/**
 * core.js - all global scripts belong in this file.
 */

// NAMESPACE FOR COMMON FUNCTIONS/OBJECTS
var COMMONUTILS = {
    //
    pageWidth : function () {"use strict";
        return document.documentElement.clientWidth;
    },

    // OBJ TO HOLD USERS CURRENT WEBPAGE LOCATION
    currentPage : window.location.pathname.substring (window.location.pathname.lastIndexOf ('/') + 1),

    // FUNCTION TO EXECUTE CODE BASED ON LOCATION
    userLocation : function (pagename) {"use strict";
        var page = pagename;
        $ ('#nav a').removeClass ('active');
        switch(page) {
            case 'index':
                $ ('#nav-home').addClass ('active');
                break;
            case 'about':
                $ ('#nav-about').addClass ('active');
                break;
            case 'cast':
                $ ('#nav-cast').addClass ('active');
                break;
            case 'news':
                $ ('#nav-news').addClass ('active');
                break;
            case 'reviews':
                $ ('#nav-reviews').addClass ('active');
                break;
            case 'tickets':
                $ ('#nav-tickets').addClass ('active');
                break;
            case 'gallery':
                $ ('#nav-gallery').addClass ('active');
                break;
            case 'privacy':
                $ ('#nav a').removeClass ('active');
                break;
            default:
                // No Case
                $ ('#nav-home').addClass ('active');
        }
    },

    optinFormValidate: function() {
    	"use strict";

      var formName = "";

      $(".subscribe").each(function(i){

      	//console.log(i);
      	formName = "optin"+i;
      	$(this).attr("id",formName);

          //
          $(this).validate({
            rules : {
              email : { required : true, email : true }/*,
              zip : 'required'*/
            },
            messages : {
              email : 'Enter a valid email'/*,
              zip : 'Enter your zip code'*/
            },
            errorPlacement : function(error, element) {
              element.attr('placeholder', error[0].outerText);
            },
            submitHandler : function(form) {
              $.ajax({
                url : './_inc/optin_action.php',
                type : 'POST',
                data : $(form).serialize() + '&ajax=true',
                success : function() {
                  $(form).hide();
                  $(form).parent("div").append('<h3 class="text-center form-thanks">THANK YOU FOR SIGNING UP.<span>Check your email to confirm your subscription.</span></h3>');
                  dataLayer.push({'event': 'signup-successful'});
                }
              });
              return false;
            }
          });

      });
    },

    nav: function() {
    	"use strict";

    	$("#btn-menu").on("click",function(e){
      	e.preventDefault();
      	if( $("#nav").hasClass("open") ){
        	$("#nav, #btn-menu").removeClass("open");
        	$("#btn-menu").removeClass("fa-times-thin").addClass("fa-bars");
      	} else {
        	$("#nav, #btn-menu").addClass("open");
        	$("#btn-menu").addClass("fa-times-thin").removeClass("fa-bars");
      	}
    	});

    }
};

// jQuery Namespace
$ (document).ready (function () {"use strict";
    COMMONUTILS.optinFormValidate();

    if (window.location.hash === '#cast-open') {
      var teamSec = $('#team').offset().top;
      var teamAdj = teamSec - 100;
      console.log(teamSec);
      $([document.documentElement, document.body]).animate({
        scrollTop: teamAdj
      }, 1000);
      $('.cast-link').addClass('active');
      $('.cast-link').children('.plus').text('-');
      $('#cast-block').fadeIn();
    }



    //gallery
    $('#gallery-overlay-inner').html( $('#gallery').html() );

    $('#gallery-overlay-inner').slick({
      slidesToShow: 1,
      slidesToScroll: 1,
      arrows: true,
      fade: true,
      asNavFor: '#gallery'
    });

    $('#gallery').slick({
      //slidesToShow: 3,
      //slidesToScroll: 1,
      //dots: true,
      asNavFor: '#gallery-overlay-inner',
      centerMode: false,
      focusOnSelect: true,
          dots: false,
          infinite: true,
          speed: 300,
          slidesToShow: 3,
          slidesToScroll: 1,
          responsive: [
            {
              breakpoint: 600,
              settings: {
                slidesToShow: 1,
                slidesToScroll: 1
              }
            }
          ]
          });

    $(document).on("click",".gallery-image",function(e){
      e.preventDefault();
      $("html").addClass('gallery-overlay-open');
    	    if( $("#gallery-overlay-close").length == 0 ){
      	    $("#gallery-overlay").append('<a id="gallery-overlay-close"></a>');
    	    }
    });

  	$(document).on("click","#gallery-overlay-close, #gallery-overlay",function(e){
  	    e.preventDefault();
      	//$("#gallery-overlay-inner").html('');
      	$("html").removeClass("gallery-overlay-open");
  	});

  	$(document).on("click","button.slick-next.slick-arrow,a.gallery-image",function(e){
  	    e.stopPropagation();
  	});

    $('#gallery').on('reInit', function(){
        	$("#gallery").height( $("#gallery .slick-track").height );
        	console.log($("#gallery .slick-track").height );
    });




});

// EOF
